Skip to main content
PATCH
/
api
/
v1
/
coupons
/
{id}
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const coupon = await client.v1.coupons.updateCoupon('x');

console.log(coupon.data);
import os
from stigg import Stigg

client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
coupon = client.v1.coupons.update_coupon(
id="x",
)
print(coupon.data)
package main

import (
"context"
"fmt"

"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)

func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
coupon, err := client.V1.Coupons.UpdateCoupon(
context.TODO(),
"x",
stigg.V1CouponUpdateCouponParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", coupon.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.coupons.Coupon;
import io.stigg.models.v1.coupons.CouponUpdateCouponParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();

Coupon coupon = client.v1().coupons().updateCoupon("x");
}
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

coupon = stigg.v1.coupons.update_coupon("x")

puts(coupon)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Coupons;

StiggClient client = new();

CouponUpdateCouponParams parameters = new() { ID = "x" };

var coupon = await client.V1.Coupons.UpdateCoupon(parameters);

Console.WriteLine(coupon);
stigg v1:coupons update-coupon \
--api-key 'My API Key' \
--id x
curl --request PATCH \
--url https://api.stigg.io/api/v1/coupons/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>",
"metadata": {}
}
'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/coupons/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'metadata' => [

]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "percentOff": 50,
    "amountsOff": [
      {
        "amount": 123
      }
    ],
    "billingId": "<string>",
    "billingLinkUrl": "<string>",
    "durationInMonths": 2,
    "metadata": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "Unauthenticated"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Partially update an existing coupon. Only provided fields are updated.

name
string

Name of the coupon

Maximum string length: 40
description
string | null

Description of the coupon

Maximum string length: 255
metadata
object | null

Metadata associated with the entity

Response

The updated coupon object.

Response object

data
Coupon · object
required

Discount instrument with percentage or fixed amount